| Home | Libraries | People | FAQ | More

##### http::basic_parser::put_eof

Inform the parser that the end of stream was reached.

###### Synopsis

    void
    put_eof(
        error_code& ec);

###### Description

In certain cases, HTTP needs to know where the end of the stream is. For example, sometimes servers send responses without Content-Length and expect the client to consume input (for the body) until EOF. Callbacks and errors will still be processed as usual.

This is typically called when a read from the underlying stream object sets the error code to `net::error::eof`.

###### Remarks

Only valid after parsing a complete header.

###### Parameters

Name | Description
--- | ---
`ec` | Set to the error, if any occurred.